package com.kingdee.eas.custom.notify;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class UpdateContentCollection extends AbstractObjectCollection 
{
    public UpdateContentCollection()
    {
        super(UpdateContentInfo.class);
    }
    public boolean add(UpdateContentInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(UpdateContentCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(UpdateContentInfo item)
    {
        return removeObject(item);
    }
    public UpdateContentInfo get(int index)
    {
        return(UpdateContentInfo)getObject(index);
    }
    public UpdateContentInfo get(Object key)
    {
        return(UpdateContentInfo)getObject(key);
    }
    public void set(int index, UpdateContentInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(UpdateContentInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(UpdateContentInfo item)
    {
        return super.indexOf(item);
    }
}